import { OnChanges, EventEmitter, OnInit, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class CircleGraphComponent implements OnInit, OnChanges {
    private render;
    evaluated: number;
    projected: number;
    posLegX1: number;
    posLegY1: number;
    posLegX2: number;
    posLegY2: number;
    width: number;
    height: number;
    evaluatedTitle: string;
    projectedTitle: string;
    levelTitle: string;
    levelType: any;
    color: string;
    evaluatedEmitter: EventEmitter<any>;
    projectedEmitter: EventEmitter<any>;
    private myCanvas;
    private canvas;
    private percentage;
    private radius;
    private total;
    constructor(render: Renderer2);
    ngOnInit(): void;
    ngOnChanges(): void;
    private recalculateCanvas;
    private degreesToRadians;
    private percentToRadians;
    private drawPercentageCircle;
    private hexToRgbA;
    static ɵfac: i0.ɵɵFactoryDeclaration<CircleGraphComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CircleGraphComponent, "uno-circle-graph", never, { "evaluated": { "alias": "evaluated"; "required": false; }; "projected": { "alias": "projected"; "required": false; }; "posLegX1": { "alias": "posLegX1"; "required": false; }; "posLegY1": { "alias": "posLegY1"; "required": false; }; "posLegX2": { "alias": "posLegX2"; "required": false; }; "posLegY2": { "alias": "posLegY2"; "required": false; }; "width": { "alias": "width"; "required": false; }; "height": { "alias": "height"; "required": false; }; "evaluatedTitle": { "alias": "evaluatedTitle"; "required": false; }; "projectedTitle": { "alias": "projectedTitle"; "required": false; }; "levelTitle": { "alias": "levelTitle"; "required": false; }; "levelType": { "alias": "levelType"; "required": false; }; "color": { "alias": "color"; "required": false; }; }, { "evaluatedEmitter": "evaluatedEmitter"; "projectedEmitter": "projectedEmitter"; }, never, never, true, never>;
}
