import { AfterContentInit, OnDestroy, EventEmitter, Renderer2, OnChanges, SimpleChanges } from '@angular/core';
import { ColorPickItemDirective } from './color-picklist-item.directive';
import { PickDirective } from '../pick/pick.directive';
import * as i0 from "@angular/core";
export declare class ColorPicklistComponent implements OnChanges, AfterContentInit, OnDestroy {
    private pick;
    private renderer;
    data: any[];
    isDisabled: boolean;
    isForInlineTableCSS: boolean;
    open: boolean;
    closeClickOutside: boolean;
    popOverPosition: string;
    nubbinPosition: string;
    openChange: EventEmitter<any>;
    selectedElem: EventEmitter<{
        HTMLElement: HTMLElement;
        idx: number;
    }>;
    itemTemplate: ColorPickItemDirective;
    private subscriptions$;
    private button;
    private colorsPopover;
    constructor(pick: PickDirective, renderer: Renderer2);
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    isOptionActive(item: any): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<ColorPicklistComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ColorPicklistComponent, "uno-color-picklist[unoPick]", never, { "data": { "alias": "data"; "required": false; }; "isDisabled": { "alias": "isDisabled"; "required": false; }; "isForInlineTableCSS": { "alias": "isForInlineTableCSS"; "required": false; }; "open": { "alias": "open"; "required": false; }; "closeClickOutside": { "alias": "closeClickOutside"; "required": false; }; "popOverPosition": { "alias": "popOverPosition"; "required": false; }; "nubbinPosition": { "alias": "nubbinPosition"; "required": false; }; }, { "openChange": "openChange"; "selectedElem": "selectedElem"; }, ["itemTemplate"], ["*"], true, never>;
}
