import * as i0 from "@angular/core";
export declare class IconComponent {
    /**
     * Variable to choose the sprite of the icons.
     */
    svgType: 'sprite' | 'sprite-color';
    /**
     * Do eventualy Observable 'icon' (path) by Angular OnChanges, to have a better control., and not directly @ HTML:
     */
    _icon: string;
    /**
     * Variable to set the icon name.
     */
    set setIcon(icon: string);
    /**
     * Variable to define if icon have opacity or not.
     */
    withOpacity: boolean;
    /**
     * Pre-defined - see THIS components CSS for the allow types.
     */
    color: 'default' | 'white' | 'black' | 'grey' | 'green-menu';
    /**
     * Pre-defined - see Lightning System CSS for the allow measurements.
     */
    size: 'large' | 'medium' | 'small' | 'x-small';
    customColor: any;
    iconPath(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<IconComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IconComponent, "uno-icon", never, { "svgType": { "alias": "svgType"; "required": false; }; "setIcon": { "alias": "icon"; "required": false; }; "withOpacity": { "alias": "withOpacity"; "required": false; }; "color": { "alias": "color"; "required": false; }; "size": { "alias": "size"; "required": false; }; "customColor": { "alias": "customColor"; "required": false; }; }, {}, never, never, true, never>;
}
