import { OnChanges, EventEmitter } from '@angular/core';
import { Grid } from '../../lib/grid';
import { ActionCustom } from '../../table.interfaces';
import { SearchComponent } from '../../../search/search.component';
import * as i0 from "@angular/core";
export declare class HeaderComponent implements OnChanges {
    grid: Grid;
    headerSettings: any;
    currentSearch: string;
    create: EventEmitter<any>;
    searchTerm: EventEmitter<string>;
    customAction: EventEmitter<ActionCustom>;
    clickIconOptions: EventEmitter<boolean>;
    /**
     * The main actions there are the icons I can see on the header.
     */
    mainActions: ActionCustom[];
    /**
     * The other actions there are the icons go to popover.
     */
    otherActions: ActionCustom[];
    /**
     * Variable to control the popover with sort and filter.
     */
    openPopover: boolean;
    /**
     * Variable to control the popover with options of the table.
     */
    openPopoverOptions: boolean;
    search: SearchComponent;
    /**
     * Variable with all actions of the header.
     */
    private headerActions;
    ngOnChanges(): void;
    onAdd(): boolean;
    hoverIn(): void;
    onClickOptions(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<HeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HeaderComponent, "header", never, { "grid": { "alias": "grid"; "required": false; }; "headerSettings": { "alias": "headerSettings"; "required": false; }; "currentSearch": { "alias": "currentSearch"; "required": false; }; }, { "create": "create"; "searchTerm": "searchTerm"; "customAction": "customAction"; "clickIconOptions": "clickIconOptions"; }, never, never, true, never>;
}
