import { OnChanges, EventEmitter } from '@angular/core';
import { Grid } from '../../../lib/grid';
import { Column } from '../../../lib/data-set/column';
import * as i0 from "@angular/core";
export declare class ActionsTitleComponent implements OnChanges {
    grid: Grid;
    saveOptions: EventEmitter<any>;
    /**
     * Variable to control the show/hide button save on popover options.
     */
    showButtonSave: boolean;
    /**
     * Variable to control the popover with options of the table.
     */
    openPopoverOptions: boolean;
    private columnsFirstState;
    ngOnChanges(): void;
    onCheckColumn(column: Column): void;
    onSave(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ActionsTitleComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ActionsTitleComponent, "[ng2-st-actions-title]", never, { "grid": { "alias": "grid"; "required": false; }; }, { "saveOptions": "saveOptions"; }, never, never, true, never>;
}
