import { OnChanges, OnDestroy, EventEmitter } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { Subscription } from 'rxjs';
import { Cell } from './data-set/cell';
import { ClickOutsideDefault } from './click-outside-default';
import * as i0 from "@angular/core";
export interface Editor {
    cell: Cell;
    inputClass: string;
    onStopEditing: EventEmitter<any>;
    onEdited: EventEmitter<any>;
    onClick: EventEmitter<any>;
}
export declare class DefaultEditorDirective extends ClickOutsideDefault implements Editor, OnChanges, OnDestroy {
    editingFormGroup: UntypedFormGroup;
    cell: Cell;
    inputClass: string;
    updateColumnList: any;
    onStopEditing: EventEmitter<any>;
    onEdited: EventEmitter<any>;
    onClick: EventEmitter<any>;
    errorsData: any;
    openValidatorPopover: boolean;
    protected subscription$: Subscription;
    ngOnChanges(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DefaultEditorDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DefaultEditorDirective, "default-editor", never, { "editingFormGroup": { "alias": "editingFormGroup"; "required": false; }; "cell": { "alias": "cell"; "required": false; }; "inputClass": { "alias": "inputClass"; "required": false; }; "updateColumnList": { "alias": "updateColumnList"; "required": false; }; }, { "onStopEditing": "onStopEditing"; "onEdited": "onEdited"; "onClick": "onClick"; }, never, never, true, never>;
}
