import { ChangeDetectorRef, EventEmitter, OnChanges } from '@angular/core';
import { ToastDescriptionDirective } from './toast-description.directive';
import * as i0 from "@angular/core";
export declare class ToastComponent implements OnChanges {
    private cdr;
    type: 'success' | 'warning' | 'info' | 'error';
    title: string;
    subTitle: string;
    showAction: boolean;
    actionTitle: string;
    action: EventEmitter<any>;
    close: EventEmitter<any>;
    private interval;
    toastDescriptionDirective: ToastDescriptionDirective;
    constructor(cdr: ChangeDetectorRef);
    ngOnChanges(): void;
    ngOnDestroy(): void;
    onClose(): void;
    onClickAction(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToastComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ToastComponent, "uno-toast", never, { "type": { "alias": "type"; "required": false; }; "title": { "alias": "title"; "required": false; }; "subTitle": { "alias": "subTitle"; "required": false; }; "showAction": { "alias": "showAction"; "required": false; }; "actionTitle": { "alias": "actionTitle"; "required": false; }; }, { "action": "action"; "close": "close"; }, ["toastDescriptionDirective"], never, true, never>;
}
